Ignore:
Timestamp:
Feb 1, 2012, 11:03:17 AM (9 years ago)
Author:
toutati@…
Message:

todo passer en jQuery UI Autocomplete 1.8.16 et etre compatible avec selecteur_generique
en attendant, on utilise le vieux autocomplete 1.1 et on force son insertion

File:
1 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/trouver_objet/trouver_objet_pipelines.php

    r39018 r57915  
    4343}
    4444
     45/*
     46todo passer en jQuery UI Autocomplete 1.8.16 et etre compatible avec selecteur_generique
     47en attendant, on utilise le vieux autocomplete 1.1 et on force son insertion
     48*/
     49function selecteurgenerique_verifier_js_trouverobjet($flux){
     50        $contenu = "";
     51    if(strpos($flux,'jquery.autocomplete.js')===FALSE){
     52                $autocompleter = find_in_path('javascript/jquery.autocomplete.js');
     53                $autocompletecss = find_in_path('iautocompleter.css');
     54                $contenu .= "
     55<script type='text/javascript' src='$autocompleter'></script>
     56<link rel='stylesheet' href='$autocompletecss' type='text/css' media='all' />
     57";
     58        };
     59        return $contenu;
     60}
     61
    4562function trouver_objet_inserer_javascript($flux){
    4663        //ne pas doublonner > verifie si grappe existe et lui laisse la priorite
    4764        if (defined('_DIR_PLUGIN_GRAPPES')) return $flux;
    48         include_spip('selecteurgenerique_fonctions');
    49         $flux .= selecteurgenerique_verifier_js($flux);
     65        $flux .= selecteurgenerique_verifier_js_trouverobjet($flux);
    5066
    5167        $js = trouver_objet_inserer_js_recherche_objet();
Note: See TracChangeset for help on using the changeset viewer.